Subject: Re: [Bitcoin-development] Long-term mining incentives

From: Dave Hudson <[email-masked]>
Date: Tue, 12 May 2015 17:21:40 +0100

I think proof-of-idle had a potentially serious problem when I last looked at it. The risk is that a largish miner can use everyone else's idle time to construct a very long chain; it's also easy enough for them to make it appear to be the work of a large number of distinct miners. Given that this would allow them to arbitrarily re-mine any block rewards and potentially censor any transactions then that just seems like a huge security hole?

Cheers,
Dave

> On 12 May 2015, at 17:10, Gavin Andresen <[email-masked]> wrote:
> 
> Added back the list, I didn't mean to reply privately:
> 
> Fair enough, I'll try to find time in the next month or three to write up four plausible future scenarios for how mining incentives might work:
> 
> 1) Fee-supported with very large blocks containing lots of tiny-fee transactions
> 2) Proof-of-idle supported (I wish Tadge Dryja would publish his proof-of-idle idea....)
> 3) Fees purely as transaction-spam-prevention measure, chain security via alternative consensus algorithm (in this scenario there is very little mining).
> 4) Fee supported with small blocks containing high-fee transactions moving coins to/from sidechains.
> 
> Would that be helpful, or do you have some reason for thinking that we should pick just one and focus all of our efforts on making that one scenario happen?
> 
> I always think it is better, when possible, not to "bet on one horse."
> 
> 
> On Tue, May 12, 2015 at 10:39 AM, Thomas Voegtlin <[email-masked] <mailto:[email-masked]>> wrote:
> Le 12/05/2015 15:44, Gavin Andresen a écrit :
> > Ok, here's my scenario:
> >
> > https://blog.bitcoinfoundation.org/a-scalability-roadmap/ <https://blog.bitcoinfoundation.org/a-scalability-roadmap/>
> >
> > It might be wrong. I welcome other people to present their road maps.
> >
> 
> [answering to you only because you answered to me and not to the list;
> feel free to repost this to the list though]
> 
> Yes, that's exactly the kind of roadmap I am asking for. But your blog
> post does not say anything about long term mining incentives, it only
> talks about scalability. My point is that we need the same kind of thing
> for miners incentives.
> 
> 
> 
> -- 
> --
> Gavin Andresen
> ------------------------------------------------------------------------------
> One dashboard for servers and applications across Physical-Virtual-Cloud 
> Widest out-of-the-box monitoring support with 50+ applications
> Performance metrics, stats and reports that give you Actionable Insights
> Deep dive visibility with transaction tracing using APM Insight.
> http://ad.doubleclick.net/ddm/clk/290420510;117567292;y_______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development